/*
 React
 react-dom-server-legacy.node.production.min.js

 Copyright (c) Meta Platforms, Inc. and affiliates.

 This source code is licensed under the MIT license found in the
 LICENSE file in the root directory of this source tree.


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ba=require("react"),da=require("react-dom"),ea=require("stream"),la=Symbol.for("react.element"),ma=Symbol.for("react.portal"),na=Symbol.for("react.fragment"),oa=Symbol.for("react.strict_mode"),xa=Symbol.for("react.profiler"),ya=Symbol.for("react.provider"),za=Symbol.for("react.consumer"),Aa=Symbol.for("react.context"),Ba=Symbol.for("react.forward_ref"),Ca=Symbol.for("react.suspense"),Ia=Symbol.for("react.suspense_list"),Ja=Symbol.for("react.memo"),Ka=Symbol.for("react.lazy"),La=Symbol.for("react.scope"),
Ma=Symbol.for("react.debug_trace_mode"),Va=Symbol.for("react.offscreen"),bb=Symbol.for("react.legacy_hidden"),cb=Symbol.for("react.cache"),db=Symbol.iterator,eb=Array.isArray;
function fb(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var u=Object.assign,A=Object.prototype.hasOwnProperty,gb=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),hb={},ib={};
function jb(a){if(A.call(ib,a))return!0;if(A.call(hb,a))return!1;if(gb.test(a))return ib[a]=!0;hb[a]=!0;return!1}
var kb=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),lb=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),mb=/["'&<>]/;
function B(a){if("boolean"===typeof a||"number"===typeof a)return""+a;a=""+a;var b=mb.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}var nb=/([A-Z])/g,ob=/^ms-/,pb=/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
function Eb(a){return pb.test(""+a)?"javascript:throw new Error('React has blocked a javascript: URL as a security precaution.')":a}var Fb=ba.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,Gb={pending:!1,data:null,method:null,action:null},Hb=da.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactDOMCurrentDispatcher,Ib=Hb.current;Hb.current={prefetchDNS:Jb,preconnect:Kb,preload:Lb,preloadModule:Mb,preinitScript:Nb,preinitStyle:Ob,preinitModuleScript:Pb};var C=[],Qb=/(<\/|<)(s)(cript)/gi;
function Rb(a,b,c,d){return""+b+("s"===c?"\\u0073":"\\u0053")+d}function Sb(a,b,c,d,e){var f=0;void 0!==b&&(f=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:f,bootstrapScriptContent:c,bootstrapScripts:d,bootstrapModules:e,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}
function H(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}function Tb(a){return H("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function Ub(a,b,c){switch(b){case "noscript":return H(2,null,a.tagScope|1);case "select":return H(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return H(3,null,a.tagScope);case "picture":return H(2,null,a.tagScope|2);case "math":return H(4,null,a.tagScope);case "foreignObject":return H(2,null,a.tagScope);case "table":return H(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return H(6,null,a.tagScope);case "colgroup":return H(8,null,a.tagScope);case "tr":return H(7,null,a.tagScope)}return 5<=
a.insertionMode?H(2,null,a.tagScope):0===a.insertionMode?"html"===b?H(1,null,a.tagScope):H(2,null,a.tagScope):1===a.insertionMode?H(2,null,a.tagScope):a}var Vb=new Map;
function Wb(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(A.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=B(d);e=B((""+e).trim())}else f=Vb.get(d),void 0===f&&(f=B(d.replace(nb,"-$1").toLowerCase().replace(ob,"-ms-")),Vb.set(d,f)),e="number"===typeof e?0===e||kb.has(d)?""+e:e+"px":
B((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function Xb(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function I(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',B(c),'"')}var Yb=B("javascript:throw new Error('React form unexpectedly submitted.')");
function Zb(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");I(this,"name",b);I(this,"value",a);this.push("/>")}function $b(a,b){if("function"===typeof b.$$FORM_ACTION){var c=a.nextFormID++;a=a.idPrefix+c;try{return b.$$FORM_ACTION(a)}catch(d){if("object"===typeof d&&null!==d&&"function"===typeof d.then)throw d;}}return null}
function lc(a,b,c,d,e,f,g,h){var k=null;if("function"===typeof d){var m=$b(b,d);null!==m?(h=m.name,d=m.action||"",e=m.encType,f=m.method,g=m.target,k=m.data):(a.push(" ","formAction",'="',Yb,'"'),g=f=e=d=h=null,mc(b,c))}null!=h&&J(a,"name",h);null!=d&&J(a,"formAction",d);null!=e&&J(a,"formEncType",e);null!=f&&J(a,"formMethod",f);null!=g&&J(a,"formTarget",g);return k}
function J(a,b,c){switch(b){case "className":I(a,"class",c);break;case "tabIndex":I(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":I(a,b,c);break;case "style":Wb(a,c);break;case "src":case "href":case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Eb(""+c);a.push(" ",b,'="',B(c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;
case "autoFocus":case "multiple":case "muted":Xb(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;c=Eb(""+c);a.push(" ","xlink:href",'="',B(c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',B(c),'"');break;case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',B(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',B(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',B(c),'"');break;case "xlinkActuate":I(a,"xlink:actuate",
c);break;case "xlinkArcrole":I(a,"xlink:arcrole",c);break;case "xlinkRole":I(a,"xlink:role",c);break;case "xlinkShow":I(a,"xlink:show",c);break;case "xlinkTitle":I(a,"xlink:title",c);break;case "xlinkType":I(a,"xlink:type",c);break;case "xmlBase":I(a,"xml:base",c);break;case "xmlLang":I(a,"xml:lang",c);break;case "xmlSpace":I(a,"xml:space",c);break;case "inert":c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==
b[1])if(b=lb.get(b)||b,jb(b)){switch(typeof c){case "function":case "symbol":return;case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',B(c),'"')}}}
function N(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}function nc(a){var b="";ba.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function mc(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'React form unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.ownerDocument||c,(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,d,b))}});',
"\x3c/script>"))}function O(a,b){a.push(P("link"));for(var c in b)if(A.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:J(a,c,d)}}a.push("/>");return null}
function oc(a,b,c){a.push(P(c));for(var d in b)if(A.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:J(a,d,e)}}a.push("/>");return null}
function pc(a,b){a.push(P("title"));var c=null,d=null,e;for(e in b)if(A.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:J(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(B(""+b));N(a,d,c);a.push(qc("title"));return null}
function rc(a,b){a.push(P("script"));var c=null,d=null,e;for(e in b)if(A.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:J(a,e,f)}}a.push(">");N(a,d,c);"string"===typeof c&&a.push(B(c));a.push(qc("script"));return null}
function sc(a,b,c){a.push(P(c));var d=c=null,e;for(e in b)if(A.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:J(a,e,f)}}a.push(">");N(a,d,c);return"string"===typeof c?(a.push(B(c)),null):c}var tc=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,uc=new Map;function P(a){var b=uc.get(a);if(void 0===b){if(!tc.test(a))throw Error("Invalid tag: "+a);b="<"+a;uc.set(a,b)}return b}
function vc(a,b,c,d,e,f,g,h,k){switch(b){case "div":case "span":case "svg":case "path":break;case "a":break;case "g":case "p":case "li":break;case "select":a.push(P("select"));var m=null,n=null,l;for(l in c)if(A.call(c,l)){var q=c[l];if(null!=q)switch(l){case "children":m=q;break;case "dangerouslySetInnerHTML":n=q;break;case "defaultValue":case "value":break;default:J(a,l,q)}}a.push(">");N(a,n,m);return m;case "option":var p=g.selectedValue;a.push(P("option"));var z=null,v=null,y=null,x=null,t;for(t in c)if(A.call(c,
t)){var D=c[t];if(null!=D)switch(t){case "children":z=D;break;case "selected":y=D;break;case "dangerouslySetInnerHTML":x=D;break;case "value":v=D;default:J(a,t,D)}}if(null!=p){var E=null!==v?""+v:nc(z);if(eb(p))for(var r=0;r<p.length;r++){if(""+p[r]===E){a.push(' selected=""');break}}else""+p===E&&a.push(' selected=""')}else y&&a.push(' selected=""');a.push(">");N(a,x,z);return z;case "textarea":a.push(P("textarea"));var w=null,T=null,U=null,K;for(K in c)if(A.call(c,K)){var F=c[K];if(null!=F)switch(K){case "children":U=
F;break;case "value":w=F;break;case "defaultValue":T=F;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:J(a,K,F)}}null===w&&null!==T&&(w=T);a.push(">");if(null!=U){if(null!=w)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(eb(U)){if(1<U.length)throw Error("<textarea> can only have at most one child.");w=""+U[0]}w=""+U}"string"===typeof w&&"\n"===w[0]&&a.push("\n");null!==w&&a.push(B(""+w));
return null;case "input":a.push(P("input"));var pa=null,qb=null,rb=null,sb=null,V=null,fa=null,Z=null,qa=null,ha=null,ia;for(ia in c)if(A.call(c,ia)){var L=c[ia];if(null!=L)switch(ia){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":pa=L;break;case "formAction":qb=L;break;case "formEncType":rb=L;break;case "formMethod":sb=L;break;case "formTarget":V=L;break;case "defaultChecked":ha=
L;break;case "defaultValue":Z=L;break;case "checked":qa=L;break;case "value":fa=L;break;default:J(a,ia,L)}}var hd=lc(a,d,e,qb,rb,sb,V,pa);null!==qa?Xb(a,"checked",qa):null!==ha&&Xb(a,"checked",ha);null!==fa?J(a,"value",fa):null!==Z&&J(a,"value",Z);a.push("/>");null!=hd&&hd.forEach(Zb,a);return null;case "button":a.push(P("button"));var Na=null,id=null,jd=null,kd=null,ld=null,md=null,nd=null,Oa;for(Oa in c)if(A.call(c,Oa)){var ca=c[Oa];if(null!=ca)switch(Oa){case "children":Na=ca;break;case "dangerouslySetInnerHTML":id=
ca;break;case "name":jd=ca;break;case "formAction":kd=ca;break;case "formEncType":ld=ca;break;case "formMethod":md=ca;break;case "formTarget":nd=ca;break;default:J(a,Oa,ca)}}var od=lc(a,d,e,kd,ld,md,nd,jd);a.push(">");null!=od&&od.forEach(Zb,a);N(a,id,Na);if("string"===typeof Na){a.push(B(Na));var pd=null}else pd=Na;return pd;case "form":a.push(P("form"));var Pa=null,qd=null,ra=null,Qa=null,Ra=null,Sa=null,Ta;for(Ta in c)if(A.call(c,Ta)){var ja=c[Ta];if(null!=ja)switch(Ta){case "children":Pa=ja;break;
case "dangerouslySetInnerHTML":qd=ja;break;case "action":ra=ja;break;case "encType":Qa=ja;break;case "method":Ra=ja;break;case "target":Sa=ja;break;default:J(a,Ta,ja)}}var ac=null,bc=null;if("function"===typeof ra){var sa=$b(d,ra);null!==sa?(ra=sa.action||"",Qa=sa.encType,Ra=sa.method,Sa=sa.target,ac=sa.data,bc=sa.name):(a.push(" ","action",'="',Yb,'"'),Sa=Ra=Qa=ra=null,mc(d,e))}null!=ra&&J(a,"action",ra);null!=Qa&&J(a,"encType",Qa);null!=Ra&&J(a,"method",Ra);null!=Sa&&J(a,"target",Sa);a.push(">");
null!==bc&&(a.push('<input type="hidden"'),I(a,"name",bc),a.push("/>"),null!=ac&&ac.forEach(Zb,a));N(a,qd,Pa);if("string"===typeof Pa){a.push(B(Pa));var rd=null}else rd=Pa;return rd;case "menuitem":a.push(P("menuitem"));for(var tb in c)if(A.call(c,tb)){var sd=c[tb];if(null!=sd)switch(tb){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:J(a,tb,sd)}}a.push(">");return null;case "title":if(3===g.insertionMode||g.tagScope&
1||null!=c.itemProp)var cc=pc(a,c);else k?cc=null:(pc(e.hoistableChunks,c),cc=void 0);return cc;case "link":var Ye=c.rel,ka=c.href,ub=c.precedence;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Ye||"string"!==typeof ka||""===ka){O(a,c);var Ua=null}else if("stylesheet"===c.rel)if("string"!==typeof ub||null!=c.disabled||c.onLoad||c.onError)Ua=O(a,c);else{var Da=e.styles.get(ub),vb=d.styleResources.hasOwnProperty(ka)?d.styleResources[ka]:void 0;if(null!==vb){d.styleResources[ka]=
null;Da||(Da={precedence:B(ub),rules:[],hrefs:[],sheets:new Map},e.styles.set(ub,Da));var wb={state:0,props:u({},c,{"data-precedence":c.precedence,precedence:null})};if(vb){2===vb.length&&wc(wb.props,vb);var dc=e.preloads.stylesheets.get(ka);dc&&0<dc.length?dc.length=0:wb.state=1}Da.sheets.set(ka,wb);f&&f.stylesheets.add(wb)}else if(Da){var td=Da.sheets.get(ka);td&&f&&f.stylesheets.add(td)}h&&a.push("\x3c!-- --\x3e");Ua=null}else c.onLoad||c.onError?Ua=O(a,c):(h&&a.push("\x3c!-- --\x3e"),Ua=k?null:
O(e.hoistableChunks,c));return Ua;case "script":var ec=c.async;if("string"!==typeof c.src||!c.src||!ec||"function"===typeof ec||"symbol"===typeof ec||c.onLoad||c.onError||3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var ud=rc(a,c);else{var xb=c.src;if("module"===c.type){var yb=d.moduleScriptResources;var vd=e.preloads.moduleScripts}else yb=d.scriptResources,vd=e.preloads.scripts;var zb=yb.hasOwnProperty(xb)?yb[xb]:void 0;if(null!==zb){yb[xb]=null;var fc=c;if(zb){2===zb.length&&(fc=u({},c),
wc(fc,zb));var wd=vd.get(xb);wd&&(wd.length=0)}var xd=[];e.scripts.add(xd);rc(xd,fc)}h&&a.push("\x3c!-- --\x3e");ud=null}return ud;case "style":var Ab=c.precedence,ta=c.href;if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp||"string"!==typeof Ab||"string"!==typeof ta||""===ta){a.push(P("style"));var Ea=null,yd=null,Wa;for(Wa in c)if(A.call(c,Wa)){var Bb=c[Wa];if(null!=Bb)switch(Wa){case "children":Ea=Bb;break;case "dangerouslySetInnerHTML":yd=Bb;break;default:J(a,Wa,Bb)}}a.push(">");var Xa=Array.isArray(Ea)?
2>Ea.length?Ea[0]:null:Ea;"function"!==typeof Xa&&"symbol"!==typeof Xa&&null!==Xa&&void 0!==Xa&&a.push(B(""+Xa));N(a,yd,Ea);a.push(qc("style"));var zd=null}else{var ua=e.styles.get(Ab);if(null!==(d.styleResources.hasOwnProperty(ta)?d.styleResources[ta]:void 0)){d.styleResources[ta]=null;ua?ua.hrefs.push(B(ta)):(ua={precedence:B(Ab),rules:[],hrefs:[B(ta)],sheets:new Map},e.styles.set(Ab,ua));var Ad=ua.rules,Fa=null,Bd=null,Cb;for(Cb in c)if(A.call(c,Cb)){var gc=c[Cb];if(null!=gc)switch(Cb){case "children":Fa=
gc;break;case "dangerouslySetInnerHTML":Bd=gc}}var Ya=Array.isArray(Fa)?2>Fa.length?Fa[0]:null:Fa;"function"!==typeof Ya&&"symbol"!==typeof Ya&&null!==Ya&&void 0!==Ya&&Ad.push(B(""+Ya));N(Ad,Bd,Fa)}ua&&f&&f.styles.add(ua);h&&a.push("\x3c!-- --\x3e");zd=void 0}return zd;case "meta":if(3===g.insertionMode||g.tagScope&1||null!=c.itemProp)var Cd=oc(a,c,"meta");else h&&a.push("\x3c!-- --\x3e"),Cd=k?null:"string"===typeof c.charSet?oc(e.charsetChunks,c,"meta"):"viewport"===c.name?oc(e.viewportChunks,c,
"meta"):oc(e.hoistableChunks,c,"meta");return Cd;case "listing":case "pre":a.push(P(b));var Za=null,$a=null,ab;for(ab in c)if(A.call(c,ab)){var Db=c[ab];if(null!=Db)switch(ab){case "children":Za=Db;break;case "dangerouslySetInnerHTML":$a=Db;break;default:J(a,ab,Db)}}a.push(">");if(null!=$a){if(null!=Za)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof $a||!("__html"in $a))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://react.dev/link/dangerously-set-inner-html for more information.");
var va=$a.__html;null!==va&&void 0!==va&&("string"===typeof va&&0<va.length&&"\n"===va[0]?a.push("\n",va):a.push(""+va))}"string"===typeof Za&&"\n"===Za[0]&&a.push("\n");return Za;case "img":var M=c.src,G=c.srcSet;if(!("lazy"===c.loading||!M&&!G||"string"!==typeof M&&null!=M||"string"!==typeof G&&null!=G)&&"low"!==c.fetchPriority&&!1===!!(g.tagScope&2)&&("string"!==typeof M||":"!==M[4]||"d"!==M[0]&&"D"!==M[0]||"a"!==M[1]&&"A"!==M[1]||"t"!==M[2]&&"T"!==M[2]||"a"!==M[3]&&"A"!==M[3])&&("string"!==typeof G||
":"!==G[4]||"d"!==G[0]&&"D"!==G[0]||"a"!==G[1]&&"A"!==G[1]||"t"!==G[2]&&"T"!==G[2]||"a"!==G[3]&&"A"!==G[3])){var Dd="string"===typeof c.sizes?c.sizes:void 0,Ga=G?G+"\n"+(Dd||""):M,hc=e.preloads.images,wa=hc.get(Ga);if(wa){if("high"===c.fetchPriority||10>e.highImagePreloads.size)hc.delete(Ga),e.highImagePreloads.add(wa)}else if(!d.imageResources.hasOwnProperty(Ga)){d.imageResources[Ga]=C;var ic=c.crossOrigin;var Ed="string"===typeof ic?"use-credentials"===ic?ic:"":void 0;var aa=e.headers,jc;aa&&0<
aa.remainingCapacity&&("high"===c.fetchPriority||500>aa.highImagePreloads.length)&&(jc=xc(M,"image",{imageSrcSet:c.srcSet,imageSizes:c.sizes,crossOrigin:Ed,integrity:c.integrity,nonce:c.nonce,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.refererPolicy}),2<=(aa.remainingCapacity-=jc.length))?(e.resets.image[Ga]=C,aa.highImagePreloads&&(aa.highImagePreloads+=", "),aa.highImagePreloads+=jc):(wa=[],O(wa,{rel:"preload",as:"image",href:G?void 0:M,imageSrcSet:G,imageSizes:Dd,crossOrigin:Ed,
integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(wa):(e.bulkPreloads.add(wa),hc.set(Ga,wa)))}}return oc(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return oc(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;
case "head":if(2>g.insertionMode&&null===e.headChunks){e.headChunks=[];var Fd=sc(e.headChunks,c,"head")}else Fd=sc(a,c,"head");return Fd;case "html":if(0===g.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Gd=sc(e.htmlChunks,c,"html")}else Gd=sc(a,c,"html");return Gd;default:if(-1!==b.indexOf("-")){a.push(P(b));var kc=null,Hd=null,Ha;for(Ha in c)if(A.call(c,Ha)){var W=c[Ha];if(null!=W){var Id=Ha;switch(Ha){case "children":kc=W;break;case "dangerouslySetInnerHTML":Hd=W;break;case "style":Wb(a,
W);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":case "ref":break;case "className":Id="class";default:if(jb(Ha)&&"function"!==typeof W&&"symbol"!==typeof W&&!1!==W){if(!0===W)W="";else if("object"===typeof W)continue;a.push(" ",Id,'="',B(W),'"')}}}}a.push(">");N(a,Hd,kc);return kc}}return sc(a,c,b)}var yc=new Map;function qc(a){var b=yc.get(a);void 0===b&&(b="</"+a+">",yc.set(a,b));return b}
function zc(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}function Ac(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Bc(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Cc(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var Dc=/[<\u2028\u2029]/g;
function Ec(a){return JSON.stringify(a).replace(Dc,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Fc=/[&><\u2028\u2029]/g;
function Gc(a){return JSON.stringify(a).replace(Fc,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var Hc=!1,Ic=!0;
function Jc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);Ic=this.push("</style>");Hc=!0;b.length=0;c.length=0}}function Kc(a){return 2!==a.state?Hc=!0:!1}function Lc(a,b,c){Hc=!1;Ic=!0;b.styles.forEach(Jc,a);b.stylesheets.forEach(Kc);Hc&&(c.stylesToHoist=!0);return Ic}
function Q(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var Mc=[];function Nc(a){O(Mc,a.props);for(var b=0;b<Mc.length;b++)this.push(Mc[b]);Mc.length=0;a.state=2}
function Oc(a){var b=0<a.sheets.size;a.sheets.forEach(Nc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function Pc(a){if(0===a.state){a.state=1;var b=a.props;O(Mc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<Mc.length;a++)this.push(Mc[a]);Mc.length=0}}function Qc(a){a.sheets.forEach(Pc,this);a.sheets.clear()}
function Rc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=Gc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Eb(""+d.props.href);g=Gc(g);a.push(g);e=""+e;a.push(",");e=Gc(e);a.push(e);for(var h in f)if(A.call(f,h)&&(e=f[h],null!=e))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Sc(a,h,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Sc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Eb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!jb(b))return;b=""+c}a.push(",");d=Gc(d);a.push(d);
a.push(",");d=Gc(b);a.push(d)}
function Tc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=B(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=Eb(""+d.props.href);g=B(JSON.stringify(g));a.push(g);e=""+e;a.push(",");e=B(JSON.stringify(e));a.push(e);for(var h in f)if(A.call(f,h)&&(e=f[h],null!=e))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:Uc(a,h,e)}a.push("]");c=",[";d.state=3}});a.push("]")}
function Uc(a,b,c){var d=b.toLowerCase();switch(typeof c){case "function":case "symbol":return}switch(b){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":case "ref":return;case "className":d="class";b=""+c;break;case "hidden":if(!1===c)return;b="";break;case "src":case "href":c=Eb(c);b=""+c;break;default:if(2<b.length&&("o"===b[0]||"O"===b[0])&&("n"===b[1]||"N"===b[1])||!jb(b))return;b=""+c}a.push(",");d=B(JSON.stringify(d));
a.push(d);a.push(",");d=B(JSON.stringify(b));a.push(d)}function Vc(){return{styles:new Set,stylesheets:new Set}}
function Jb(a){var b=R?R:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){c.dnsResources[a]=null;c=d.headers;var e,f;if(f=c&&0<c.remainingCapacity)f=(e="<"+(""+a).replace(Wc,Xc)+">; rel=dns-prefetch",2<=(c.remainingCapacity-=e.length));f?(d.resets.dns[a]=null,c.preconnects&&(c.preconnects+=", "),c.preconnects+=e):(e=[],O(e,{href:a,rel:"dns-prefetch"}),d.preconnects.add(e))}Yc(b)}}else Ib.prefetchDNS(a)}
function Kb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){var f="use-credentials"===b?"credentials":"string"===typeof b?"anonymous":"default";if(!d.connectResources[f].hasOwnProperty(a)){d.connectResources[f][a]=null;d=e.headers;var g,h;if(h=d&&0<d.remainingCapacity){h="<"+(""+a).replace(Wc,Xc)+">; rel=preconnect";if("string"===typeof b){var k=(""+b).replace(Zc,$c);h+='; crossorigin="'+k+'"'}h=(g=h,2<=(d.remainingCapacity-=g.length))}h?(e.resets.connect[f][a]=
null,d.preconnects&&(d.preconnects+=", "),d.preconnects+=g):(f=[],O(f,{rel:"preconnect",href:a,crossOrigin:b}),e.preconnects.add(f))}Yc(c)}}else Ib.preconnect(a,b)}
function Lb(a,b,c){var d=R?R:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var h=c.imageSizes;var k=c.fetchPriority}var m=g?g+"\n"+(h||""):a;if(e.imageResources.hasOwnProperty(m))return;e.imageResources[m]=C;e=f.headers;var n;e&&0<e.remainingCapacity&&"high"===k&&(n=xc(a,b,c),2<=(e.remainingCapacity-=n.length))?(f.resets.image[m]=C,e.highImagePreloads&&(e.highImagePreloads+=", "),e.highImagePreloads+=n):(e=[],O(e,u({rel:"preload",href:g?
void 0:a,as:b},c)),"high"===k?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(m,e)));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];O(g,u({rel:"preload",href:a,as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);
O(g,u({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?C:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;g[a]=C;if((e=f.headers)&&0<e.remainingCapacity&&"font"===b&&(m=xc(a,b,c),2<=(e.remainingCapacity-=m.length)))f.resets.font[a]=C,e.fontPreloads&&(e.fontPreloads+=", "),e.fontPreloads+=m;else switch(e=[],
a=u({rel:"preload",href:a,as:b},c),O(e,a),b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}}Yc(d)}}else Ib.preload(a,b,c)}
function Mb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?C:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=C}O(f,u({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);Yc(c)}}else Ib.preloadModule(a,b)}
function Ob(a,b,c){var d=R?R:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),h=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==h&&(e.styleResources[a]=null,g||(g={precedence:B(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:u({rel:"stylesheet",href:a,"data-precedence":b},c)},h&&(2===h.length&&wc(b.props,h),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),Yc(d))}}else Ib.preinitStyle(a,
b,c)}function Nb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=u({src:a,async:!0},b),f&&(2===f.length&&wc(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),rc(a,b),Yc(c))}}else Ib.preinitScript(a,b)}
function Pb(a,b){var c=R?R:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=u({src:a,type:"module",async:!0},b),f&&(2===f.length&&wc(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),rc(a,b),Yc(c))}}else Ib.preinitModuleScript(a,b)}function wc(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}
function xc(a,b,c){a=(""+a).replace(Wc,Xc);b=(""+b).replace(Zc,$c);b="<"+a+'>; rel=preload; as="'+b+'"';for(var d in c)A.call(c,d)&&(a=c[d],"string"===typeof a&&(b+="; "+d.toLowerCase()+'="'+(""+a).replace(Zc,$c)+'"'));return b}var Wc=/[<>\r\n]/g;
function Xc(a){switch(a){case "<":return"%3C";case ">":return"%3E";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeLinkHrefForHeaderContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}var Zc=/["';,\r\n]/g;
function $c(a){switch(a){case '"':return"%22";case "'":return"%27";case ";":return"%3B";case ",":return"%2C";case "\n":return"%0A";case "\r":return"%0D";default:throw Error("escapeStringForLinkHeaderQuotedParamValueContextReplacer encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}}function ad(a){this.styles.add(a)}function bd(a){this.stylesheets.add(a)}
function cd(a,b){var c=a.idPrefix,d=[],e=a.bootstrapScriptContent,f=a.bootstrapScripts,g=a.bootstrapModules;void 0!==e&&d.push("<script>",(""+e).replace(Qb,Rb),"\x3c/script>");e=c+"P:";var h=c+"S:";c+="B:";var k=new Set,m=new Set,n=new Set,l=new Map,q=new Set,p=new Set,z=new Set,v={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};if(void 0!==f)for(var y=0;y<f.length;y++){var x=f[y],t,D=void 0,E=void 0,r={rel:"preload",as:"script",fetchPriority:"low",nonce:void 0};"string"===
typeof x?r.href=t=x:(r.href=t=x.src,r.integrity=E="string"===typeof x.integrity?x.integrity:void 0,r.crossOrigin=D="string"===typeof x||null==x.crossOrigin?void 0:"use-credentials"===x.crossOrigin?"use-credentials":"");x=a;var w=t;x.scriptResources[w]=null;x.moduleScriptResources[w]=null;x=[];O(x,r);q.add(x);d.push('<script src="',B(t));"string"===typeof E&&d.push('" integrity="',B(E));"string"===typeof D&&d.push('" crossorigin="',B(D));d.push('" async="">\x3c/script>')}if(void 0!==g)for(f=0;f<g.length;f++)r=
g[f],D=t=void 0,E={rel:"modulepreload",fetchPriority:"low",nonce:void 0},"string"===typeof r?E.href=y=r:(E.href=y=r.src,E.integrity=D="string"===typeof r.integrity?r.integrity:void 0,E.crossOrigin=t="string"===typeof r||null==r.crossOrigin?void 0:"use-credentials"===r.crossOrigin?"use-credentials":""),r=a,x=y,r.scriptResources[x]=null,r.moduleScriptResources[x]=null,r=[],O(r,E),q.add(r),d.push('<script type="module" src="',B(y)),"string"===typeof D&&d.push('" integrity="',B(D)),"string"===typeof t&&
d.push('" crossorigin="',B(t)),d.push('" async="">\x3c/script>');return{placeholderPrefix:e,segmentPrefix:h,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:d,importMapChunks:[],onHeaders:void 0,headers:null,resets:{font:{},dns:{},connect:{default:{},anonymous:{},credentials:{}},image:{},style:{}},charsetChunks:[],viewportChunks:[],hoistableChunks:[],preconnects:k,fontPreloads:m,highImagePreloads:n,styles:l,bootstrapScripts:q,
scripts:p,bulkPreloads:z,preloads:v,stylesToHoist:!1,generateStaticMarkup:b}}function dd(a,b,c,d){if(c.generateStaticMarkup)return a.push(B(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(B(b)),a=!0);return a}var ed=Symbol.for("react.client.reference");
function fd(a){if(null==a)return null;if("function"===typeof a)return a.$$typeof===ed?null:a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case na:return"Fragment";case ma:return"Portal";case xa:return"Profiler";case oa:return"StrictMode";case Ca:return"Suspense";case Ia:return"SuspenseList";case cb:return"Cache"}if("object"===typeof a)switch(a.$$typeof){case ya:return(a._context.displayName||"Context")+".Provider";case Aa:return(a.displayName||"Context")+".Consumer";case Ba:var b=
a.render;a=a.displayName;a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Ja:return b=a.displayName||null,null!==b?b:fd(a.type)||"Memo";case Ka:b=a._payload;a=a._init;try{return fd(a(b))}catch(c){}}return null}var gd={};function Jd(a,b){a=a.contextTypes;if(!a)return gd;var c={},d;for(d in a)c[d]=b[d];return c}var Kd=null;
function Ld(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");Ld(a,c)}b.context._currentValue2=b.value}}function Md(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&Md(a)}
function Nd(a){var b=a.parent;null!==b&&Nd(b);a.context._currentValue2=a.value}function Od(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?Ld(a,b):Od(a,b)}
function Pd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?Ld(a,c):Pd(a,c);b.context._currentValue2=b.value}function Qd(a){var b=Kd;b!==a&&(null===b?Nd(a):null===a?Md(b):b.depth===a.depth?Ld(b,a):b.depth>a.depth?Od(b,a):Pd(b,a),Kd=a)}
var Rd={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}},Sd={id:1,overflow:""};function Td(a,b,c){var d=a.id;a=a.overflow;var e=32-Ud(d)-1;d&=~(1<<e);c+=1;var f=32-Ud(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-Ud(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}
var Ud=Math.clz32?Math.clz32:Vd,Wd=Math.log,Xd=Math.LN2;function Vd(a){a>>>=0;return 0===a?32:31-(Wd(a)/Xd|0)|0}var Yd=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function Zd(){}function $d(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(Zd,Zd),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}ae=b;throw Yd;}}var ae=null;
function be(){if(null===ae)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=ae;ae=null;return a}function ce(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var de="function"===typeof Object.is?Object.is:ce,ee=null,fe=null,ge=null,he=null,ie=null,S=null,je=!1,ke=!1,le=0,me=0,ne=-1,oe=0,pe=null,qe=null,re=0;
function se(){if(null===ee)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://react.dev/link/invalid-hook-call for tips about how to debug and fix this problem.");return ee}
function te(){if(0<re)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function ue(){null===S?null===ie?(je=!1,ie=S=te()):(je=!0,S=ie):null===S.next?(je=!1,S=S.next=te()):(je=!0,S=S.next);return S}function ve(){var a=pe;pe=null;return a}function we(){he=ge=fe=ee=null;ke=!1;ie=null;re=0;S=qe=null}function xe(a,b){return"function"===typeof b?b(a):b}
function ye(a,b,c){ee=se();S=ue();if(je){var d=S.queue;b=d.dispatch;if(null!==qe&&(c=qe.get(d),void 0!==c)){qe.delete(d);d=S.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);S.memoizedState=d;return[d,b]}return[S.memoizedState,b]}a=a===xe?"function"===typeof b?b():b:void 0!==c?c(b):b;S.memoizedState=a;a=S.queue={last:null,dispatch:null};a=a.dispatch=ze.bind(null,ee,a);return[S.memoizedState,a]}
function Ae(a,b){ee=se();S=ue();b=void 0===b?null:b;if(null!==S){var c=S.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!de(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();S.memoizedState=[a,b];return a}
function ze(a,b,c){if(25<=re)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===ee)if(ke=!0,a={action:c,next:null},null===qe&&(qe=new Map),c=qe.get(b),void 0===c)qe.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function Be(){throw Error("startTransition cannot be called during server rendering.");}function Ce(){throw Error("Cannot update optimistic state while rendering.");}
function De(a,b,c){se();var d=me++,e=ge;if("function"===typeof a.$$FORM_ACTION){var f=null,g=he;e=e.formState;var h=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof h){var k=e[1];h.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+fb(JSON.stringify([g,null,d]),0),k===f&&(ne=d,b=e[0]))}var m=a.bind(null,b);a=function(l){m(l)};"function"===typeof m.$$FORM_ACTION&&(a.$$FORM_ACTION=function(l){l=m.$$FORM_ACTION(l);void 0!==c&&(c+="",l.action=c);var q=l.data;q&&(null===f&&(f=void 0!==c?"p"+c:"k"+fb(JSON.stringify([g,
null,d]),0)),q.append("$ACTION_KEY",f));return l});return[b,a,!1]}var n=a.bind(null,b);return[b,function(l){n(l)},!1]}function Ee(a){var b=oe;oe+=1;null===pe&&(pe=[]);return $d(pe,a,b)}function Fe(){throw Error("Cache cannot be refreshed during server rendering.");}function Ge(){}
var Ie={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return Ee(a);if(a.$$typeof===Aa)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){se();return a._currentValue2},useMemo:Ae,useReducer:ye,useRef:function(a){ee=se();S=ue();var b=S.memoizedState;return null===b?(a={current:a},S.memoizedState=a):b},useState:function(a){return ye(xe,a)},useInsertionEffect:Ge,
useLayoutEffect:Ge,useCallback:function(a,b){return Ae(function(){return a},b)},useImperativeHandle:Ge,useEffect:Ge,useDebugValue:Ge,useDeferredValue:function(a){se();return a},useTransition:function(){se();return[!1,Be]},useId:function(){var a=fe.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-Ud(a)-1)).toString(32)+b;var c=He;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=le++;a=":"+c.idPrefix+"R"+a;0<b&&(a+="H"+b.toString(32));
return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return Fe},useHostTransitionStatus:function(){se();return Gb},useOptimistic:function(a){se();return[a,Ce]}};Ie.useFormState=De;Ie.useActionState=De;
var He=null,Je={getCacheSignal:function(){throw Error("Not implemented.");},getCacheForType:function(){throw Error("Not implemented.");}},Ke;function Le(a){if(void 0===Ke)try{throw Error();}catch(c){var b=c.stack.trim().match(/\n( *(at )?)/);Ke=b&&b[1]||""}return"\n"+Ke+a}var Me=!1;
function Ne(a,b){if(!a||Me)return"";Me=!0;var c=Error.prepareStackTrace;Error.prepareStackTrace=void 0;var d={DetermineComponentFrameRoot:function(){try{if(b){var l=function(){throw Error();};Object.defineProperty(l.prototype,"props",{set:function(){throw Error();}});if("object"===typeof Reflect&&Reflect.construct){try{Reflect.construct(l,[])}catch(p){var q=p}Reflect.construct(a,[],l)}else{try{l.call()}catch(p){q=p}a.call(l.prototype)}}else{try{throw Error();}catch(p){q=p}(l=a())&&"function"===typeof l.catch&&
l.catch(function(){})}}catch(p){if(p&&q&&"string"===typeof p.stack)return[p.stack,q.stack]}return[null,null]}};d.DetermineComponentFrameRoot.displayName="DetermineComponentFrameRoot";var e=Object.getOwnPropertyDescriptor(d.DetermineComponentFrameRoot,"name");e&&e.configurable&&Object.defineProperty(d.DetermineComponentFrameRoot,"name",{value:"DetermineComponentFrameRoot"});try{var f=d.DetermineComponentFrameRoot(),g=f[0],h=f[1];if(g&&h){var k=g.split("\n"),m=h.split("\n");for(e=d=0;d<k.length&&!k[d].includes("DetermineComponentFrameRoot");)d++;
for(;e<m.length&&!m[e].includes("DetermineComponentFrameRoot");)e++;if(d===k.length||e===m.length)for(d=k.length-1,e=m.length-1;1<=d&&0<=e&&k[d]!==m[e];)e--;for(;1<=d&&0<=e;d--,e--)if(k[d]!==m[e]){if(1!==d||1!==e){do if(d--,e--,0>e||k[d]!==m[e]){var n="\n"+k[d].replace(" at new "," at ");a.displayName&&n.includes("<anonymous>")&&(n=n.replace("<anonymous>",a.displayName));return n}while(1<=d&&0<=e)}break}}}finally{Me=!1,Error.prepareStackTrace=c}return(c=a?a.displayName||a.name:"")?Le(c):""}
var Oe=Fb.ReactCurrentDispatcher,Pe=Fb.ReactCurrentCache;function Qe(a){console.error(a);return null}function Re(){}
function Se(a,b,c,d,e,f,g,h,k,m,n,l){var q=[],p=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:p,pingedTasks:q,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?Qe:f,onPostpone:void 0===n?Re:n,onAllReady:void 0===g?Re:g,onShellReady:void 0===
h?Re:h,onShellError:void 0===k?Re:k,onFatalError:void 0===m?Re:m,formState:void 0===l?null:l};c=Te(b,0,null,d,!1,!1);c.parentFlushed=!0;a=Ue(b,null,a,-1,null,c,null,p,null,d,gd,null,Sd,null,!1);q.push(a);return b}var R=null;function Ve(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,We(a))}
function Xe(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,contentState:Vc(),fallbackState:Vc(),trackedContentKeyPath:null,trackedFallbackNode:null}}
function Ue(a,b,c,d,e,f,g,h,k,m,n,l,q,p,z){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var v={replay:null,node:c,childIndex:d,ping:function(){return Ve(a,v)},blockedBoundary:e,blockedSegment:f,hoistableState:g,abortSet:h,keyPath:k,formatContext:m,legacyContext:n,context:l,treeContext:q,componentStack:p,thenableState:b,isFallback:z};h.add(v);return v}
function Ze(a,b,c,d,e,f,g,h,k,m,n,l,q,p,z){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var v={replay:c,node:d,childIndex:e,ping:function(){return Ve(a,v)},blockedBoundary:f,blockedSegment:null,hoistableState:g,abortSet:h,keyPath:k,formatContext:m,legacyContext:n,context:l,treeContext:q,componentStack:p,thenableState:b,isFallback:z};h.add(v);return v}
function Te(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}function $e(a,b){return{tag:0,parent:a.componentStack,type:b}}
function af(a,b){if(b&&null!==a.trackedPostpones){try{a="";do{switch(b.tag){case 0:a+=Le(b.type,null);break;case 1:a+=Ne(b.type,!1);break;case 2:a+=Ne(b.type,!0)}b=b.parent}while(b);var c=a}catch(d){c="\nError generating stack: "+d.message+"\n"+d.stack}c={componentStack:c}}else c={};return c}function X(a,b,c){a=a.onError(b,c);if(null==a||"string"===typeof a)return a}
function bf(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}function cf(a,b,c,d,e,f){var g=b.thenableState;b.thenableState=null;ee={};fe=b;ge=a;he=c;me=le=0;ne=-1;oe=0;pe=g;for(a=d(e,f);ke;)ke=!1,me=le=0,ne=-1,oe=0,re+=1,S=null,a=d(e,f);we();return a}
function df(a,b,c,d,e,f,g){var h=!1;if(0!==f&&null!==a.formState){var k=b.blockedSegment;if(null!==k){h=!0;k=k.chunks;for(var m=0;m<f;m++)m===g?k.push("\x3c!--F!--\x3e"):k.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=Td(c,1,0),ef(a,b,d,-1),b.treeContext=c):h?ef(a,b,d,-1):Y(a,b,d,-1);b.keyPath=f}function ff(a,b){if(a&&a.defaultProps){b=u({},b);a=a.defaultProps;for(var c in a)void 0===b[c]&&(b[c]=a[c]);return b}return b}
function gf(a,b,c,d,e,f){if("function"===typeof d)if(d.prototype&&d.prototype.isReactComponent){f=b.componentStack;b.componentStack={tag:2,parent:b.componentStack,type:d};var g=Jd(d,b.legacyContext);var h=d.contextType;h=new d(e,"object"===typeof h&&null!==h?h._currentValue2:g);var k=void 0!==h.state?h.state:null;h.updater=Rd;h.props=e;h.state=k;var m={queue:[],replace:!1};h._reactInternals=m;var n=d.contextType;h.context="object"===typeof n&&null!==n?n._currentValue2:g;n=d.getDerivedStateFromProps;
"function"===typeof n&&(n=n(e,k),k=null===n||void 0===n?k:u({},k,n),h.state=k);if("function"!==typeof d.getDerivedStateFromProps&&"function"!==typeof h.getSnapshotBeforeUpdate&&("function"===typeof h.UNSAFE_componentWillMount||"function"===typeof h.componentWillMount))if(k=h.state,"function"===typeof h.componentWillMount&&h.componentWillMount(),"function"===typeof h.UNSAFE_componentWillMount&&h.UNSAFE_componentWillMount(),k!==h.state&&Rd.enqueueReplaceState(h,h.state,null),null!==m.queue&&0<m.queue.length){k=
m.queue;var l=m.replace;m.queue=null;m.replace=!1;if(l&&1===k.length)h.state=k[0];else{m=l?k[0]:h.state;n=!0;for(l=l?1:0;l<k.length;l++){var q=k[l];q="function"===typeof q?q.call(h,m,e,g):q;null!=q&&(n?(n=!1,m=u({},m,q)):u(m,q))}h.state=m}}else m.queue=null;e=h.render();g=d.childContextTypes;if(null!==g&&void 0!==g){c=b.legacyContext;if("function"!==typeof h.getChildContext)d=c;else{h=h.getChildContext();for(var p in h)if(!(p in g))throw Error((fd(d)||"Unknown")+'.getChildContext(): key "'+p+'" is not defined in childContextTypes.');
d=u({},c,h)}b.legacyContext=d;Y(a,b,e,-1);b.legacyContext=c}else d=b.keyPath,b.keyPath=c,Y(a,b,e,-1),b.keyPath=d;b.componentStack=f}else f=Jd(d,b.legacyContext),p=b.componentStack,b.componentStack={tag:1,parent:b.componentStack,type:d},e=cf(a,b,c,d,e,f),df(a,b,c,e,0!==le,me,ne),b.componentStack=p;else if("string"===typeof d){p=b.componentStack;b.componentStack=$e(b,d);f=b.blockedSegment;if(null===f)f=e.children,h=b.formatContext,g=b.keyPath,b.formatContext=Ub(h,d,e),b.keyPath=c,ef(a,b,f,-1),b.formatContext=
h,b.keyPath=g;else{g=vc(f.chunks,d,e,a.resumableState,a.renderState,b.hoistableState,b.formatContext,f.lastPushedText,b.isFallback);f.lastPushedText=!1;h=b.formatContext;m=b.keyPath;b.formatContext=Ub(h,d,e);b.keyPath=c;ef(a,b,g,-1);b.formatContext=h;b.keyPath=m;a:{c=f.chunks;a=a.resumableState;switch(d){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;
case "body":if(1>=h.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===h.insertionMode){a.hasHtml=!0;break a}}c.push(qc(d))}f.lastPushedText=!1}b.componentStack=p}else{switch(d){case bb:case Ma:case oa:case xa:case na:d=b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=d;return;case Va:"hidden"!==e.mode&&(d=b.keyPath,b.keyPath=c,Y(a,b,e.children,-1),b.keyPath=d);return;case Ia:d=b.componentStack;b.componentStack=$e(b,"SuspenseList");p=b.keyPath;b.keyPath=c;Y(a,b,e.children,-1);b.keyPath=
p;b.componentStack=d;return;case La:throw Error("ReactDOMServer does not yet support scope components.");case Ca:a:if(null!==b.replay){d=b.keyPath;b.keyPath=c;c=e.children;try{ef(a,b,c,-1)}finally{b.keyPath=d}}else{n=b.componentStack;d=b.componentStack=$e(b,"Suspense");l=b.keyPath;p=b.blockedBoundary;q=b.hoistableState;var z=b.blockedSegment;f=e.fallback;var v=e.children;e=new Set;m=Xe(a,e);null!==a.trackedPostpones&&(m.trackedContentKeyPath=c);k=Te(a,z.chunks.length,m,b.formatContext,!1,!1);z.children.push(k);
z.lastPushedText=!1;var y=Te(a,0,null,b.formatContext,!1,!1);y.parentFlushed=!0;b.blockedBoundary=m;b.hoistableState=m.contentState;b.blockedSegment=y;b.keyPath=c;try{if(ef(a,b,v,-1),a.renderState.generateStaticMarkup||y.lastPushedText&&y.textEmbedded&&y.chunks.push("\x3c!-- --\x3e"),y.status=1,hf(m,y),0===m.pendingTasks&&0===m.status){m.status=1;b.componentStack=n;break a}}catch(x){y.status=4,m.status=4,h=af(a,b.componentStack),g=X(a,x,h),m.errorDigest=g,jf(a,m)}finally{b.blockedBoundary=p,b.hoistableState=
q,b.blockedSegment=z,b.keyPath=l,b.componentStack=n}h=[c[0],"Suspense Fallback",c[2]];g=a.trackedPostpones;null!==g&&(n=[h[1],h[2],[],null],g.workingMap.set(h,n),5===m.status?g.workingMap.get(c)[4]=n:m.trackedFallbackNode=n);b=Ue(a,null,f,-1,p,k,m.fallbackState,e,h,b.formatContext,b.legacyContext,b.context,b.treeContext,d,!0);a.pingedTasks.push(b)}return}if("object"===typeof d&&null!==d)switch(d.$$typeof){case Ba:p=b.componentStack;b.componentStack={tag:1,parent:b.componentStack,type:d.render};e=
cf(a,b,c,d.render,e,f);df(a,b,c,e,0!==le,me,ne);b.componentStack=p;return;case Ja:d=d.type;e=ff(d,e);gf(a,b,c,d,e,f);return;case ya:f=e.children;p=b.keyPath;d=d._context;e=e.value;h=d._currentValue2;d._currentValue2=e;g=Kd;Kd=e={parent:g,depth:null===g?0:g.depth+1,context:d,parentValue:h,value:e};b.context=e;b.keyPath=c;Y(a,b,f,-1);a=Kd;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");a.context._currentValue2=a.parentValue;a=Kd=a.parent;b.context=a;
b.keyPath=p;return;case Aa:e=e.children;e=e(d._currentValue2);d=b.keyPath;b.keyPath=c;Y(a,b,e,-1);b.keyPath=d;return;case za:case Ka:p=b.componentStack;b.componentStack=$e(b,"Lazy");f=d._init;d=f(d._payload);e=ff(d,e);gf(a,b,c,d,e,void 0);b.componentStack=p;return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==d?d:typeof d)+"."));}}
function kf(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,h=Te(a,0,null,b.formatContext,!1,!1);h.id=c;h.parentFlushed=!0;try{b.replay=null,b.blockedSegment=h,ef(a,b,d,e),h.status=1,null===g?a.completedRootSegment=h:(hf(g,h),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function Y(a,b,c,d){if(null!==b.replay&&"number"===typeof b.replay.slots)kf(a,b,b.replay.slots,c,d);else if(b.node=c,b.childIndex=d,null!==c){if("object"===typeof c){switch(c.$$typeof){case la:var e=c.type,f=c.key,g=c.props;var h=c.ref;var k=fd(e),m=null==f?-1===d?0:d:f;f=[b.keyPath,k,m];if(null!==b.replay)a:{var n=b.replay;d=n.nodes;for(c=0;c<d.length;c++){var l=d[c];if(m===l[1]){if(4===l.length){if(null!==k&&k!==l[0])throw Error("Expected the resume to render <"+l[0]+"> in this slot but instead it rendered <"+
k+">. The tree doesn't match so React will fallback to client rendering.");var q=l[2];k=l[3];m=b.node;b.replay={nodes:q,slots:k,pendingTasks:1};try{gf(a,b,f,e,g,h);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(w){if("object"===typeof w&&null!==w&&(w===Yd||"function"===typeof w.then))throw b.node===m&&(b.replay=n),w;
b.replay.pendingTasks--;g=af(a,b.componentStack);f=a;a=b.blockedBoundary;e=w;g=X(f,e,g);lf(f,a,q,k,e,g)}b.replay=n}else{if(e!==Ca)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(fd(e)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{n=void 0;e=l[5];h=l[2];k=l[3];m=null===l[4]?[]:l[4][2];l=null===l[4]?null:l[4][3];var p=b.componentStack,z=b.componentStack=$e(b,"Suspense"),v=b.keyPath,y=b.replay,x=b.blockedBoundary,
t=b.hoistableState,D=g.children;g=g.fallback;var E=new Set,r=Xe(a,E);r.parentFlushed=!0;r.rootSegmentID=e;b.blockedBoundary=r;b.hoistableState=r.contentState;b.replay={nodes:h,slots:k,pendingTasks:1};try{ef(a,b,D,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===r.pendingTasks&&0===r.status){r.status=1;a.completedBoundaries.push(r);
break b}}catch(w){r.status=4,q=af(a,b.componentStack),n=X(a,w,q),r.errorDigest=n,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(r)}finally{b.blockedBoundary=x,b.hoistableState=t,b.replay=y,b.keyPath=v,b.componentStack=p}b=Ze(a,null,{nodes:m,slots:l,pendingTasks:0},g,-1,x,r.fallbackState,E,[f[0],"Suspense Fallback",f[2]],b.formatContext,b.legacyContext,b.context,b.treeContext,z,!0);a.pingedTasks.push(b)}}d.splice(c,1);break a}}}else gf(a,b,f,e,g,h);return;case ma:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");
case Ka:g=b.componentStack;b.componentStack=$e(b,"Lazy");f=c._init;c=f(c._payload);b.componentStack=g;Y(a,b,c,d);return}if(eb(c)){mf(a,b,c,d);return}null===c||"object"!==typeof c?g=null:(g=db&&c[db]||c["@@iterator"],g="function"===typeof g?g:null);if(g&&(g=g.call(c))){c=g.next();if(!c.done){f=[];do f.push(c.value),c=g.next();while(!c.done);mf(a,b,f,d)}return}if("function"===typeof c.then)return b.thenableState=null,Y(a,b,Ee(c),d);if(c.$$typeof===Aa)return Y(a,b,c._currentValue2,d);d=Object.prototype.toString.call(c);
throw Error("Objects are not valid as a React child (found: "+("[object Object]"===d?"object with keys {"+Object.keys(c).join(", ")+"}":d)+"). If you meant to render a collection of children, use an array instead.");}"string"===typeof c?(d=b.blockedSegment,null!==d&&(d.lastPushedText=dd(d.chunks,c,a.renderState,d.lastPushedText))):"number"===typeof c&&(d=b.blockedSegment,null!==d&&(d.lastPushedText=dd(d.chunks,""+c,a.renderState,d.lastPushedText)))}}
function mf(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,h=0;h<g.length;h++){var k=g[h];if(k[1]===d){d=k[2];k=k[3];b.replay={nodes:d,slots:k,pendingTasks:1};try{mf(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(l){if("object"===typeof l&&
null!==l&&(l===Yd||"function"===typeof l.then))throw l;b.replay.pendingTasks--;c=af(a,b.componentStack);var m=b.blockedBoundary,n=l;c=X(a,n,c);lf(a,m,d,k,n,c)}b.replay=f;g.splice(h,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(h=b.replay.slots,null!==h&&"object"===typeof h)){for(d=0;d<g;d++)k=c[d],b.treeContext=Td(f,g,d),m=h[d],"number"===typeof m?(kf(a,b,m,k,d),delete h[d]):ef(a,b,k,d);b.treeContext=f;b.keyPath=e;return}for(h=0;h<g;h++)d=c[h],b.treeContext=Td(f,g,h),
ef(a,b,d,h);b.treeContext=f;b.keyPath=e}function jf(a,b){a=a.trackedPostpones;null!==a&&(b=b.trackedContentKeyPath,null!==b&&(b=a.workingMap.get(b),void 0!==b&&(b.length=4,b[2]=[],b[3]=null)))}
function ef(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,h=b.keyPath,k=b.treeContext,m=b.componentStack,n=b.blockedSegment;if(null===n)try{return Y(a,b,c,d)}catch(p){if(we(),c=p===Yd?be():p,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ve();a=Ze(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.hoistableState,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,
a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=m;Qd(g);return}}else{var l=n.children.length,q=n.chunks.length;try{return Y(a,b,c,d)}catch(p){if(we(),n.children.length=l,n.chunks.length=q,c=p===Yd?be():p,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=ve();n=b.blockedSegment;l=Te(a,n.chunks.length,null,b.formatContext,n.lastPushedText,!0);n.children.push(l);n.lastPushedText=!1;a=Ue(a,d,b.node,b.childIndex,b.blockedBoundary,l,b.hoistableState,
b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext,null!==b.componentStack?b.componentStack.parent:null,b.isFallback).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;b.componentStack=m;Qd(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;Qd(g);throw c;}function nf(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,of(this,b,a))}
function lf(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var h=c[g];if(4===h.length)lf(a,b,h[2],h[3],e,f);else{h=h[5];var k=a,m=f,n=Xe(k,new Set);n.parentFlushed=!0;n.rootSegmentID=h;n.status=4;n.errorDigest=m;n.parentFlushed&&k.clientRenderedBoundaries.push(n)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var l in d)delete d[l]}}
function pf(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(d={},1!==b.status&&2!==b.status){a=a.replay;if(null===a){X(b,c,d);bf(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=X(b,c,d),lf(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&qf(b)}}else d.pendingTasks--,4!==d.status&&(d.status=4,a=af(b,a.componentStack),a=X(b,c,a),d.errorDigest=a,jf(b,d),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return pf(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&rf(b)}
function sf(a,b){try{var c=a.renderState,d=c.onHeaders;if(d){var e=c.headers;if(e){c.headers=null;var f=e.preconnects;e.fontPreloads&&(f&&(f+=", "),f+=e.fontPreloads);e.highImagePreloads&&(f&&(f+=", "),f+=e.highImagePreloads);if(!b){var g=c.styles.values(),h=g.next();b:for(;0<e.remainingCapacity&&!h.done;h=g.next())for(var k=h.value.sheets.values(),m=k.next();0<e.remainingCapacity&&!m.done;m=k.next()){var n=m.value,l=n.props,q=l.href,p=n.props,z=xc(p.href,"style",{crossOrigin:p.crossOrigin,integrity:p.integrity,
nonce:p.nonce,type:p.type,fetchPriority:p.fetchPriority,referrerPolicy:p.referrerPolicy,media:p.media});if(2<=(e.remainingCapacity-=z.length))c.resets.style[q]=C,f&&(f+=", "),f+=z,c.resets.style[q]="string"===typeof l.crossOrigin||"string"===typeof l.integrity?[l.crossOrigin,l.integrity]:C;else break b}}f?d({Link:f}):d({})}}}catch(v){X(a,v,{})}}function qf(a){null===a.trackedPostpones&&sf(a,!0);a.onShellError=Re;a=a.onShellReady;a()}
function rf(a){sf(a,null===a.trackedPostpones?!0:null===a.completedRootSegment||5!==a.completedRootSegment.status);a=a.onAllReady;a()}function hf(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary&&-1===b.children[0].id){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&hf(a,c)}else a.completedSegments.push(b)}
function of(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&qf(a)}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&hf(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(nf,a),b.fallbackAbortableTasks.clear())):
null!==c&&c.parentFlushed&&1===c.status&&(hf(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&rf(a)}
function We(a){if(2!==a.status){var b=Kd,c=Oe.current;Oe.current=Ie;var d=Pe.current;Pe.current=Je;var e=R;R=a;var f=He;He=a.resumableState;try{var g=a.pingedTasks,h;for(h=0;h<g.length;h++){var k=g[h],m=a,n=k.blockedSegment;if(null===n){var l=m;if(0!==k.replay.pendingTasks){Qd(k.context);try{Y(l,k,k.node,k.childIndex);if(1===k.replay.pendingTasks&&0<k.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
k.replay.pendingTasks--;k.abortSet.delete(k);of(l,k.blockedBoundary,null)}catch(F){we();var q=F===Yd?be():F;if("object"===typeof q&&null!==q&&"function"===typeof q.then){var p=k.ping;q.then(p,p);k.thenableState=ve()}else{k.replay.pendingTasks--;k.abortSet.delete(k);var z=af(l,k.componentStack);m=void 0;var v=l,y=k.blockedBoundary,x=q,t=k.replay.nodes,D=k.replay.slots;m=X(v,x,z);lf(v,y,t,D,x,m);l.pendingRootTasks--;0===l.pendingRootTasks&&qf(l);l.allPendingTasks--;0===l.allPendingTasks&&rf(l)}}finally{}}}else if(l=
void 0,v=n,0===v.status){Qd(k.context);var E=v.children.length,r=v.chunks.length;try{Y(m,k,k.node,k.childIndex),m.renderState.generateStaticMarkup||v.lastPushedText&&v.textEmbedded&&v.chunks.push("\x3c!-- --\x3e"),k.abortSet.delete(k),v.status=1,of(m,k.blockedBoundary,v)}catch(F){we();v.children.length=E;v.chunks.length=r;var w=F===Yd?be():F;if("object"===typeof w&&null!==w&&"function"===typeof w.then){var T=k.ping;w.then(T,T);k.thenableState=ve()}else{var U=af(m,k.componentStack);k.abortSet.delete(k);
v.status=4;var K=k.blockedBoundary;l=X(m,w,U);null===K?bf(m,w):(K.pendingTasks--,4!==K.status&&(K.status=4,K.errorDigest=l,jf(m,K),K.parentFlushed&&m.clientRenderedBoundaries.push(K)));m.allPendingTasks--;0===m.allPendingTasks&&rf(m)}}finally{}}}g.splice(0,h);null!==a.destination&&tf(a,a.destination)}catch(F){X(a,F,{}),bf(a,F)}finally{He=f,Oe.current=c,Pe.current=d,c===Ie&&Qd(b),R=e}}}
function uf(a,b,c,d){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:return d=c.id,c.lastPushedText=!1,c.textEmbedded=!1,a=a.renderState,b.push('<template id="'),b.push(a.placeholderPrefix),a=d.toString(16),b.push(a),b.push('"></template>');case 1:c.status=2;var e=!0,f=c.chunks,g=0;c=c.children;for(var h=0;h<c.length;h++){for(e=c[h];g<e.index;g++)b.push(f[g]);e=vf(a,b,e,d)}for(;g<f.length-1;g++)b.push(f[g]);g<f.length&&(e=b.push(f[g]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function vf(a,b,c,d){var e=c.boundary;if(null===e)return uf(a,b,c,d);e.parentFlushed=!0;if(4===e.status)return a.renderState.generateStaticMarkup||(e=e.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),e&&(b.push(' data-dgst="'),e=B(e),b.push(e),b.push('"')),b.push("></template>")),uf(a,b,c,d),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==e.status)return 0===e.status&&(e.rootSegmentID=a.nextSegmentId++),0<e.completedSegments.length&&a.partialBoundaries.push(e),Ac(b,
a.renderState,e.rootSegmentID),d&&(e=e.fallbackState,e.styles.forEach(ad,d),e.stylesheets.forEach(bd,d)),uf(a,b,c,d),b.push("\x3c!--/$--\x3e");if(e.byteSize>a.progressiveChunkSize)return e.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(e),Ac(b,a.renderState,e.rootSegmentID),uf(a,b,c,d),b.push("\x3c!--/$--\x3e");d&&(c=e.contentState,c.styles.forEach(ad,d),c.stylesheets.forEach(bd,d));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=e.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
vf(a,b,c[0],d);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function wf(a,b,c,d){Bc(b,a.renderState,c.parentFormatContext,c.id);vf(a,b,c,d);return Cc(b,c.parentFormatContext)}
function xf(a,b,c){for(var d=c.completedSegments,e=0;e<d.length;e++)yf(a,b,c,d[e]);d.length=0;Lc(b,c.contentState,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.contentState;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),Rc(b,c)):(b.push('" data-sty="'),Tc(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return zc(b,a)&&d}
function yf(a,b,c,d){if(2===d.status)return!0;var e=c.contentState,f=d.id;if(-1===f){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return wf(a,b,d,e)}if(f===c.rootSegmentID)return wf(a,b,d,e);wf(a,b,d,e);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);f=f.toString(16);b.push(f);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(f);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function tf(a,b){try{var c,d=a.completedRootSegment;if(null!==d)if(5!==d.status&&0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,h=f.src,k=f.chunks;g.scriptResources.hasOwnProperty(h)||(g.scriptResources[h]=null,e.scripts.add(k))}var m=e.htmlChunks,n=e.headChunks,l;if(m){for(l=0;l<m.length;l++)b.push(m[l]);if(n)for(l=0;l<n.length;l++)b.push(n[l]);else{var q=P("head");b.push(q);
b.push(">")}}else if(n)for(l=0;l<n.length;l++)b.push(n[l]);var p=e.charsetChunks;for(l=0;l<p.length;l++)b.push(p[l]);p.length=0;e.preconnects.forEach(Q,b);e.preconnects.clear();var z=e.viewportChunks;for(l=0;l<z.length;l++)b.push(z[l]);z.length=0;e.fontPreloads.forEach(Q,b);e.fontPreloads.clear();e.highImagePreloads.forEach(Q,b);e.highImagePreloads.clear();e.styles.forEach(Oc,b);var v=e.importMapChunks;for(l=0;l<v.length;l++)b.push(v[l]);v.length=0;e.bootstrapScripts.forEach(Q,b);e.scripts.forEach(Q,
b);e.scripts.clear();e.bulkPreloads.forEach(Q,b);e.bulkPreloads.clear();var y=e.hoistableChunks;for(l=0;l<y.length;l++)b.push(y[l]);y.length=0;if(m&&null===n){var x=qc("head");b.push(x)}vf(a,b,d,null);a.completedRootSegment=null;zc(b,a.renderState)}else return;var t=a.renderState;d=0;var D=t.viewportChunks;for(d=0;d<D.length;d++)b.push(D[d]);D.length=0;t.preconnects.forEach(Q,b);t.preconnects.clear();t.fontPreloads.forEach(Q,b);t.fontPreloads.clear();t.highImagePreloads.forEach(Q,b);t.highImagePreloads.clear();
t.styles.forEach(Qc,b);t.scripts.forEach(Q,b);t.scripts.clear();t.bulkPreloads.forEach(Q,b);t.bulkPreloads.clear();var E=t.hoistableChunks;for(d=0;d<E.length;d++)b.push(E[d]);E.length=0;var r=a.clientRenderedBoundaries;for(c=0;c<r.length;c++){var w=r[c];t=b;var T=a.resumableState,U=a.renderState,K=w.rootSegmentID,F=w.errorDigest,pa=0===T.streamingFormat;pa?(t.push(U.startInlineScript),0===(T.instructions&4)?(T.instructions|=4,t.push('$RX=function(b,c,d,e,f){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),f&&(a.cstck=f),b._reactRetry&&b._reactRetry())};;$RX("')):
t.push('$RX("')):t.push('<template data-rxi="" data-bid="');t.push(U.boundaryPrefix);var qb=K.toString(16);t.push(qb);pa&&t.push('"');if(F)if(pa){t.push(",");var rb=Ec(F||"");t.push(rb)}else{t.push('" data-dgst="');var sb=B(F||"");t.push(sb)}var V=pa?t.push(")\x3c/script>"):t.push('"></template>');if(!V){a.destination=null;c++;r.splice(0,c);return}}r.splice(0,c);var fa=a.completedBoundaries;for(c=0;c<fa.length;c++)if(!xf(a,b,fa[c])){a.destination=null;c++;fa.splice(0,c);return}fa.splice(0,c);var Z=
a.partialBoundaries;for(c=0;c<Z.length;c++){var qa=Z[c];a:{r=a;w=b;var ha=qa.completedSegments;for(V=0;V<ha.length;V++)if(!yf(r,w,qa,ha[V])){V++;ha.splice(0,V);var ia=!1;break a}ha.splice(0,V);ia=Lc(w,qa.contentState,r.renderState)}if(!ia){a.destination=null;c++;Z.splice(0,c);return}}Z.splice(0,c);var L=a.completedBoundaries;for(c=0;c<L.length;c++)if(!xf(a,b,L[c])){a.destination=null;c++;L.splice(0,c);return}L.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&
0===a.completedBoundaries.length&&(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&(Z=qc("body"),b.push(Z)),c.hasHtml&&(c=qc("html"),b.push(c)),b.push(null),a.destination=null)}}function zf(a){a.flushScheduled=null!==a.destination;We(a);null===a.trackedPostpones&&sf(a,0===a.pendingRootTasks)}function Yc(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?tf(a,b):a.flushScheduled=!1}}
function Af(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{tf(a,b)}catch(c){X(a,c,{}),bf(a,c)}}}function Bf(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return pf(e,a,d)});c.clear()}null!==a.destination&&tf(a,a.destination)}catch(e){X(a,e,{}),bf(a,e)}}function Cf(){}
function Df(a,b,c,d){var e=!1,f=null,g="",h=!1;b=Sb(b?b.identifierPrefix:void 0,void 0);a=Se(a,b,cd(b,c),Tb(),Infinity,Cf,void 0,function(){h=!0},void 0,void 0,void 0);zf(a);Bf(a,d);Af(a,{push:function(k){null!==k&&(g+=k);return!0},destroy:function(k){e=!0;f=k}});if(e&&f!==d)throw f;if(!h)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");return g}
function Ef(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var Ff=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}Ef(b,a);var c=b.prototype;c._destroy=function(d,e){Bf(this.request);e(d)};c._read=function(){this.startedFlowing&&Af(this.request,this)};return b}(ea.Readable);function Gf(){}exports.renderToStaticMarkup=function(a,b){return Df(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){var c=new Ff;b=Sb(b?b.identifierPrefix:void 0,void 0);var d=Se(a,b,cd(b,!0),Tb(),Infinity,Gf,function(){c.startedFlowing=!0;Af(d,c)},void 0,void 0,void 0);c.request=d;zf(d);return c};exports.renderToString=function(a,b){return Df(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="19.0.0-canary-95e6f032c-20240401";

//# sourceMappingURL=react-dom-server-legacy.node.production.min.js.map
